## org.mortbay.util
Class Frame

    java.lang.Object
      |
      +--org.mortbay.util.Frame

public class Frame
extends java.lang.Object

Access the current execution frame. This version of the Frame class uses the JDK 1.4 mechanisms to access the stack frame

Constructor Summary
`Frame()` Construct a frame.
`Frame(int ignoreFrames)` Construct a frame.

Method Summary
`int` `getDepth()`
`java.lang.String` `getFile()`
`java.lang.String` `getMethod()`
`Frame` `getParent()` Get a Frame representing the function one level up in this frame.
`java.lang.String` `getStack()`
`java.lang.StackTraceElement` `getStackTraceElement()`
`java.lang.String` `getThread()`
`java.lang.String` `getWhere()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Frame

    public Frame()

  Construct a frame.

### Frame

    public Frame(int ignoreFrames)

  Construct a frame.

Parameters:
  `ignoreFrames` - number of levels of stack to ignore

Method Detail

### getStackTraceElement

    public java.lang.StackTraceElement getStackTraceElement()

### getStack

    public java.lang.String getStack()

### getMethod

    public java.lang.String getMethod()

### getDepth

    public int getDepth()

### getThread

    public java.lang.String getThread()

### getFile

    public java.lang.String getFile()

### getWhere

    public java.lang.String getWhere()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getParent

    public Frame getParent()

  Get a Frame representing the function one level up in this frame.

  Returns:
    parent frame or null if none

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.